Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._MemberInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._MemberInfo)) System.Runtime.InteropServices.ComVisible(true)

Provides access to member metadata.

is used to represent all members of a type: nested types, fields, events, properties, methods, and constructors. The Base Class Library includes the following derived types:

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Type

  Gets the type that declares the member reflected by the current instance.

  The object of the class that declares the member reflected by the current instance; or, if the member reflected by the current instance is a global member.

  A member of a class (or interface) is either declared on that type or inherited from a base class (or interface). The property value cannot be the same as the object used to obtain the current instance. These values will differ if either of the following conditions is true.

  If the object from which the current instance was obtained did not declare the member reflected by the current instance, the will represent the base type that is closest to that object in its hierarchy chain and declares the member reflected by the current instance.

  If the current instance reflects a global member, (that is, it was obtained from , which returns global methods on a module), then the property value is .

  This property is read-only.

  This property is required to return the object for the type that declares the member reflected by the current instance. This property value is required to be equal to the property value of the current instance if and only if the reflected type also contains a declaration for the member reflected by the current instance.

  Override this property to get the of the class that declared the member that is reflected by the current instance.

  Use this property to determine the of the class that declared the member that is reflected by the current instance.

  The following example demonstrates the difference between the and of a member.

  `using System; using System.Reflection; public class BaseClass { public void ReflectedMethod() {} } public class DerivedClass: BaseClass {} public class DeclaringTypeExample { public static void Main() { Type t = typeof(DerivedClass); MemberInfo [] memInfo = t.GetMember("ReflectedMethod"); Console.WriteLine("Reflected type is {0}.", memInfo[0].ReflectedType); Console.WriteLine("Declaring type is {0}.", memInfo[0].DeclaringType); } }`

  The output is

  Reflected type is DerivedClass.

  Declaring type is BaseClass.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Object[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MemberTypes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.Reflection.Module To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets the name of the member reflected by the current instance.

  A containing the name of the member reflected by the current instance.

  This property is read-only.

  Only the simple name, not the fully qualified name, of the member reflected by the current instance is returned.

  For example, if the current instance reflects the member Print in System.MyClass, the property would be "Print".

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Type

  Gets the type of the class through which the current instance was obtained.

  The object for the class through which the current instance was obtained.

  This property is read-only.

  is required to get the type of the object that was used to obtain the current instance. This property value is required to be equal to the property value of the current instance if and only if the reflected type also contains a declaration for the member reflected by the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0